package com.e6yun.project.sdk.api.pojo.basevo.iot;

import com.google.common.base.MoreObjects;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @Description TemperatureListVO
 * @Author jiangruikang@e6yun.com
 * @Created Date: 2021/7/13 10:54
 * @ClassName TemperatureListVO
 * @Remark
 */
public class TemperatureListVO {

    private Integer vehicleId;
    private Integer carId;
    private String wid;
    private Integer transfer;
    private Integer iaccStatus;
    private Integer ilineStatus;
    private Integer iloStatus;
    private Date gpsTime;
    private BigDecimal lon;
    private BigDecimal lat;
    private Integer speed;
    private BigDecimal odometer;
    private Integer direction;
    private BigDecimal th1;
    private BigDecimal th2;
    private BigDecimal th3;
    private BigDecimal th4;
    private BigDecimal th5;
    private BigDecimal th6;
    private BigDecimal th7;
    private BigDecimal th8;
    private BigDecimal th9;
    private BigDecimal th10;
    private BigDecimal th11;
    private BigDecimal th12;
    private BigDecimal th13;
    private BigDecimal th14;
    private BigDecimal th15;
    private BigDecimal th16;
    private Integer coldStatus;
    private String status;
    private Integer timeDifference;
    private String timeDifferenceStr;


    public Integer getVehicleId() {
        return vehicleId;
    }

    public void setVehicleId(Integer vehicleId) {
        this.vehicleId = vehicleId;
    }

    public Integer getCarId() {
        return carId;
    }

    public void setCarId(Integer carId) {
        this.carId = carId;
    }

    public String getWid() {
        return wid;
    }

    public void setWid(String wid) {
        this.wid = wid;
    }

    public Integer getTransfer() {
        return transfer;
    }

    public void setTransfer(Integer transfer) {
        this.transfer = transfer;
    }

    public Integer getIaccStatus() {
        return iaccStatus;
    }

    public void setIaccStatus(Integer iaccStatus) {
        this.iaccStatus = iaccStatus;
    }

    public Integer getIlineStatus() {
        return ilineStatus;
    }

    public void setIlineStatus(Integer ilineStatus) {
        this.ilineStatus = ilineStatus;
    }

    public Integer getIloStatus() {
        return iloStatus;
    }

    public void setIloStatus(Integer iloStatus) {
        this.iloStatus = iloStatus;
    }

    public Date getGpsTime() {
        return gpsTime;
    }

    public void setGpsTime(Date gpsTime) {
        this.gpsTime = gpsTime;
    }

    public BigDecimal getLon() {
        return lon;
    }

    public void setLon(BigDecimal lon) {
        this.lon = lon;
    }

    public BigDecimal getLat() {
        return lat;
    }

    public void setLat(BigDecimal lat) {
        this.lat = lat;
    }

    public Integer getSpeed() {
        return speed;
    }

    public void setSpeed(Integer speed) {
        this.speed = speed;
    }

    public BigDecimal getOdometer() {
        return odometer;
    }

    public void setOdometer(BigDecimal odometer) {
        this.odometer = odometer;
    }

    public Integer getDirection() {
        return direction;
    }

    public void setDirection(Integer direction) {
        this.direction = direction;
    }

    public BigDecimal getTh1() {
        return th1;
    }

    public void setTh1(BigDecimal th1) {
        this.th1 = th1;
    }

    public BigDecimal getTh2() {
        return th2;
    }

    public void setTh2(BigDecimal th2) {
        this.th2 = th2;
    }

    public BigDecimal getTh3() {
        return th3;
    }

    public void setTh3(BigDecimal th3) {
        this.th3 = th3;
    }

    public BigDecimal getTh4() {
        return th4;
    }

    public void setTh4(BigDecimal th4) {
        this.th4 = th4;
    }

    public BigDecimal getTh5() {
        return th5;
    }

    public void setTh5(BigDecimal th5) {
        this.th5 = th5;
    }

    public BigDecimal getTh6() {
        return th6;
    }

    public void setTh6(BigDecimal th6) {
        this.th6 = th6;
    }

    public BigDecimal getTh7() {
        return th7;
    }

    public void setTh7(BigDecimal th7) {
        this.th7 = th7;
    }

    public BigDecimal getTh8() {
        return th8;
    }

    public void setTh8(BigDecimal th8) {
        this.th8 = th8;
    }

    public BigDecimal getTh9() {
        return th9;
    }

    public void setTh9(BigDecimal th9) {
        this.th9 = th9;
    }

    public BigDecimal getTh10() {
        return th10;
    }

    public void setTh10(BigDecimal th10) {
        this.th10 = th10;
    }

    public BigDecimal getTh11() {
        return th11;
    }

    public void setTh11(BigDecimal th11) {
        this.th11 = th11;
    }

    public BigDecimal getTh12() {
        return th12;
    }

    public void setTh12(BigDecimal th12) {
        this.th12 = th12;
    }

    public BigDecimal getTh13() {
        return th13;
    }

    public void setTh13(BigDecimal th13) {
        this.th13 = th13;
    }

    public BigDecimal getTh14() {
        return th14;
    }

    public void setTh14(BigDecimal th14) {
        this.th14 = th14;
    }

    public BigDecimal getTh15() {
        return th15;
    }

    public void setTh15(BigDecimal th15) {
        this.th15 = th15;
    }

    public BigDecimal getTh16() {
        return th16;
    }

    public void setTh16(BigDecimal th16) {
        this.th16 = th16;
    }

    public Integer getColdStatus() {
        return coldStatus;
    }

    public void setColdStatus(Integer coldStatus) {
        this.coldStatus = coldStatus;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public Integer getTimeDifference() {
        return timeDifference;
    }

    public void setTimeDifference(Integer timeDifference) {
        this.timeDifference = timeDifference;
    }

    public String getTimeDifferenceStr() {
        return timeDifferenceStr;
    }

    public void setTimeDifferenceStr(String timeDifferenceStr) {
        this.timeDifferenceStr = timeDifferenceStr;
    }

    @Override
    public String toString() {
        return MoreObjects.toStringHelper(this)
                .add("vehicleId", vehicleId)
                .add("carId", carId)
                .add("wid", wid)
                .add("transfer", transfer)
                .add("iaccStatus", iaccStatus)
                .add("ilineStatus", ilineStatus)
                .add("iloStatus", iloStatus)
                .add("gpsTime", gpsTime)
                .add("lon", lon)
                .add("lat", lat)
                .add("speed", speed)
                .add("odometer", odometer)
                .add("direction", direction)
                .add("th1", th1)
                .add("th2", th2)
                .add("th3", th3)
                .add("th4", th4)
                .add("th5", th5)
                .add("th6", th6)
                .add("th7", th7)
                .add("th8", th8)
                .add("th9", th9)
                .add("th10", th10)
                .add("th11", th11)
                .add("th12", th12)
                .add("th13", th13)
                .add("th14", th14)
                .add("th15", th15)
                .add("th16", th16)
                .add("coldStatus", coldStatus)
                .add("status", status)
                .add("timeDifference", timeDifference)
                .add("timeDifferenceStr", timeDifferenceStr)
                .toString();
    }
}
